## GcrTreeSelector GcrTreeSelector — A selector widget to select certificates or keys. |

## Functions

GcrCollection * | gcr_tree_selector_get_collection ()
const GcrColumn * | gcr_tree_selector_get_columns ()
GcrTreeSelector * | gcr_tree_selector_new ()
GList * | gcr_tree_selector_get_selected ()
void | gcr_tree_selector_set_selected ()

## Properties

GcrCollection * | collection | Read / Write / Construct Only
gpointer | columns | Read / Write / Construct Only

## Types and Values

struct | GcrTreeSelector
struct | GcrTreeSelectorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── GcrTreeSelector

## Implemented Interfaces

GcrTreeSelector implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

The GcrTreeSelector can be used to select certificates or keys. It allows the user to select multiple objects from a tree.

## Functions

### gcr_tree_selector_get_collection ()

    GcrCollection *
    gcr_tree_selector_get_collection (GcrTreeSelector *self);

Get the collection that this selector is displaying objects from.

#### Parameters

self | The selector |

#### Returns

the collection, owned by the selector.

[transfer none]

### gcr_tree_selector_get_columns ()

    const GcrColumn *
    gcr_tree_selector_get_columns (GcrTreeSelector *self);

Get the columns displayed in a selector in multiple mode.

[skip]

#### Parameters

self | The selector |

#### Returns

The columns, owned by the selector.

[transfer none]

### gcr_tree_selector_new ()

    GcrTreeSelector *
    gcr_tree_selector_new (GcrCollection *collection,
                           const GcrColumn *columns);

Create a new GcrTreeSelector.

[skip]

#### Parameters

collection | The collection that contains the objects to display |
columns | The columns to use to display the objects |

#### Returns

a newly allocated selector, which should be released with `g_object_unref()`.

[transfer full]

### gcr_tree_selector_get_selected ()

    GList *
    gcr_tree_selector_get_selected (GcrTreeSelector *self);

Get a list of selected objects.

#### Parameters

self | The selector |

#### Returns

the list of selected objects, to be released with `g_list_free()`.

[transfer container][element-type GObject.Object]

### gcr_tree_selector_set_selected ()

    void
    gcr_tree_selector_set_selected (GcrTreeSelector *self,
                                    GList *selected);

Select certain objects in the selector.

#### Parameters

self | The selector |
selected | the list of objects to select. | [element-type GObject.Object]

## Types and Values

### struct GcrTreeSelector

    struct GcrTreeSelector;

A tree selector widget.

### struct GcrTreeSelectorClass

    struct GcrTreeSelectorClass {
    };

The class for GcrTreeSelector.

## Property Details

### The `“collection”` property

      “collection”               GcrCollection *

The collection which contains the objects to display in the selector.

Flags: Read / Write / Construct Only

### The `“columns”` property

      “columns”                  gpointer

The columns to use to display the objects.

Flags: Read / Write / Construct Only